sock_register
Prev | Socket Buffer Functions | Next

## Name

sock_register — add a socket protocol handler

## Synopsis

`int sock_register (` | const struct net_proto_family * | ops`)`;

## Arguments

`ops`

  description of protocol

## Description

This function is called by a protocol handler that wants to advertise its address family, and have it linked into the socket interface. The value ops->family coresponds to the socket system call protocol family.

Prev | Up | Next
sock_release | Home | sock_unregister